MissingH-1.4.0.1: Large utility library

Copyright | Copyright (C) 2004-2011 John Goerzen
License | BSD3
Maintainer | John Goerzen <jgoerzen@complete.org>
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

System.Debian.ControlParser

Description

This module provides various helpful utilities for dealing with Debian files and programs.

Written by John Goerzen, jgoerzen@complete.org

Synopsis

- control :: CharParser a [(String, String)]
- depPart :: CharParser a (String, Maybe (String, String), [String])

# Documentation

control :: CharParser a [(String, String)] Source #

Main parser for the control file

depPart :: CharParser a (String, Maybe (String, String), [String]) Source #

Dependency parser.

Returns (package name, Maybe version, arch list)

version is (operator, operand)